# syntax =
# newlist = [expression for item in iterable if condition == True]
# returns the new list while keeping the old list as same


# 1. iterating through a string using list comprehension
alphabets = [char for char in "javacodegeeks"]
print("alphabets are= {}\n".format(alphabets))

# 2. iterating through a list using list comprehension
cars = [
    "bmw",
    "audi",
    "mercedes",
    "ferrari",
    "bugati",
    "viper",
    "tesla"
]

new_cars = [item for item in cars]
print("cars= {}\n".format(new_cars))

# 3. conditionals in list comprehension
filtered_cars = [item for item in cars if "a" in item]
print("filtered cars= {}\n".format(filtered_cars))

# 4. if else in list comprehension
obj = ["even" if i % 2 == 0 else "odd" for i in range(20)]
print(obj)
